FROM debian:bookworm-slim

RUN apt-get update && apt-get install -y \
    x11vnc xvfb \
    novnc websockify \
    && rm -rf /var/lib/apt/lists/*

RUN mkdir -p /VNC && cd /VNC \
    && ln -sf /usr/share/novnc/vnc.html vnc.html \
    && ln -sf /usr/share/novnc/vnc_lite.html vnc_lite.html

# X11 socket is shared via docker-compose
# VOLUME ["/tmp/.X11-unix"]


ENV DISPLAY=:10

COPY docker-entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

EXPOSE 6080

ENTRYPOINT ["/entrypoint.sh"]
